package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.entity.BillClean;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.CleanAndDryVo;
import com.huimv.admin.entity.vo.CleanAndDryVo2;

/**
 * <p>
 * 洗消表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface BillCleanMapper extends BaseMapper<BillClean> {

    Page<CleanAndDryVo> listCleanAndDry(Page<CleanAndDryVo> page,Integer farmId,Integer status);

    Page<CleanAndDryVo> listCleanAndDry(Page<CleanAndDryVo> page,Integer farmId);

    Page<CleanAndDryVo> listPersonalCleanAndDry(Page<CleanAndDryVo> page, Integer userId,String vistitType);

    Page<CleanAndDryVo2> CleanAndDry(Page<CleanAndDryVo2> page, String farmId,String type,String[] status,String[] locations);

    Page<CleanAndDryVo2> CleanAndDry2(Page<CleanAndDryVo2> page, String farmId,String[] status);

    Page<CleanAndDryVo2> CleanList(Page<CleanAndDryVo2> page, String farmId,String[] status,String location);
}
